<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CustomRegisterController extends Controller
{
    //
    public function showRegistrationForm()
{
    // Check if the user is authenticated
    if (auth()->check()) {
        return view('auth.register');
    } else {
        // Redirect to login if not authenticated
        return redirect()->route('login');
    }
}
}
